<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">

<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2013 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>
<%--
 *---------------------------------------------------------------------
 * The sample contained herein is provided to you "AS IS".
 *
 * It is furnished by IBM as a simple example and has not been  
 * thoroughly tested
 * under all conditions.  IBM, therefore, cannot guarantee its 
 * reliability, serviceability or functionality.  
 *
 * This sample may include the names of individuals, companies, brands 
 * and products in order to illustrate concepts as completely as 
 * possible.  All of these names
 * are fictitious and any similarity to the names and addresses used by 
 * actual persons 
 * or business enterprises is entirely coincidental.
 *---------------------------------------------------------------------
--%>

<!-- BEGIN iOSMore.jsp -->

<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://commerce.ibm.com/base" prefix="wcbase" %>
<%@ taglib uri="http://commerce.ibm.com/foundation" prefix="wcf" %>

<%@ include file="../include/JSTLEnvironmentSetup.jspf" %>
<%@ page errorPage="../GenericError.jsp" %>

<!-- My Account link: AccountDispURL -->
<wcf:url var="AccountDispURL" value="m20MyAccountDisplay">
    <wcf:param name="langId" value="${langId}" />
    <wcf:param name="storeId" value="${WCParam.storeId}" />
    <wcf:param name="catalogId" value="${WCParam.catalogId}" />
</wcf:url>

<!-- Wish List link: WishListDispURL -->
<wcf:url var="WishListDispURL" patternName="m20ShopListURL" value="m20InterestListsView">
    <wcf:param name="langId" value="${langId}" />
    <wcf:param name="storeId" value="${WCParam.storeId}" />
    <wcf:param name="catalogId" value="${WCParam.catalogId}" />
</wcf:url>

<!-- Compare Product link: ProductCompareResultView -->
<wcf:url var="ProductCompareResultView" value="m20ProductCompareResultView">
    <wcf:param name="langId" value="${langId}" />
    <wcf:param name="storeId" value="${WCParam.storeId}" />
    <wcf:param name="catalogId" value="${WCParam.catalogId}" />
</wcf:url>

<!-- Compare Product logic begins -->
<c:set var="catEntryValues" value="" />
<c:forEach var="catEntId" items="${sessionScope.productCompareCatentryIds}">
    <c:set var="catEntryValues" value="${catEntryValues}&catentryId=${catEntId}" />
</c:forEach>
<c:set var="ProductCompareResultView" value="${ProductCompareResultView}${catEntryValues}" />
<!-- Compare Product logic ends -->

<!-- Customer Service link: CustomerServiceURL -->
<wcf:url var="CustomerServiceURL" patternName="m20CustomerServiceURL" value="m20CustomerService">
    <wcf:param name="langId" value="${langId}" />
    <wcf:param name="storeId" value="${WCParam.storeId}" />
    <wcf:param name="catalogId" value="${WCParam.catalogId}" />
</wcf:url>

<!-- Privacy Policy link: CustomerServicePrivacyPolicyURL -->
<wcf:url var="CustomerServicePrivacyPolicyURL" patternName="m20CustomerServicePrivacyPolicyURL" value="m20CustomerServicePrivacyPolicy">
  <wcf:param name="langId" value="${langId}" />
  <wcf:param name="storeId" value="${WCParam.storeId}" />
  <wcf:param name="catalogId" value="${WCParam.catalogId}" />
</wcf:url>

<html xmlns="http://www.w3.org/1999/xhtml" lang="${shortLocale}" xml:lang="${shortLocale}">
    <head>
        <title>More</title>
        <meta http-equiv="content-type" content="application/xhtml+xml" />
        <meta http-equiv="cache-control" content="max-age=300" />
        <meta name="viewport" content="${viewport}" />
        <link rel="stylesheet" type="text/css" href="${cssPath}" />
    </head>
    <body>
        <div id="wrapper" class="ucp_active"> <!-- User Control Panel is ON-->
            <%@ include file="../include/HeaderDisplay.jspf" %>
            <ul id="ios_more_list">
                <a class="more_list_link" href="${fn:escapeXml(AccountDispURL)}">
                    <li class="list_item first_item" ontouchstart="">
                        <div class="account">
                            <div class="list_item_text"><fmt:message key="MYACCOUNT_TITLE" bundle="${storeText}"/></div>
                            <div class="list_item_arrow"></div>
                        </div>
                    </li>
                </a>
                <a class="more_list_link" href="${fn:escapeXml(WishListDispURL)}">
                    <li class="list_item" ontouchstart="">
                        <div class="wishlist">
                            <div class="list_item_text"><fmt:message key="USER_PANEL_WISHLIST" bundle="${storeText}"/></div>
                            <div class="list_item_arrow"></div>
                        </div>
                    </li>
                </a>
                <a class="more_list_link" href="${fn:escapeXml(ProductCompareResultView)}">
                    <li class="list_item" ontouchstart="">
                        <div class="product_compare">
                            <div class="list_item_text"><fmt:message key="USER_PANEL_PROD_CMPR" bundle="${storeText}"/></div>
                            <div class="list_item_arrow"></div>
                        </div>
                    </li>
                </a>
                <a class="more_list_link" href="${fn:escapeXml(CustomerServicePrivacyPolicyURL)}">
                    <li class="list_item" ontouchstart="">
                        <div class="privacy_policy">
                            <div class="list_item_text"><fmt:message key="CUSTOMER_SERVICE_PRIVACY_POLICY" bundle="${storeText}"/></div>
                            <div class="list_item_arrow"></div>
                        </div>
                    </li>
                </a>
                <a class="more_list_link" href="${fn:escapeXml(CustomerServiceURL)}">
                    <li class="list_item" ontouchstart="">
                        <div class="help">
                            <div class="list_item_text"><fmt:message key="CUSTOMER_SERVICE_TITLE" bundle="${storeText}"/></div>
                            <div class="list_item_arrow"></div>
                        </div>
                    </li>
                </a>
            </ul>
            <%@ include file="../include/userPanelFooter.jspf" %>   
            <%@ include file="../include/FooterDisplay.jspf" %>         
        </div>
    </body>
</html>

<!-- END iOSMore.jsp -->